Have layer or rule base class greyed out when not visible due to scale dependent rendering
Status: Closed

Priority: Normal

Assignee:

Category:

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 15046

Description

It would be nice if layer title or icon could show display status of a layer. 

It could be greyed out and Italic, or have a special icon if current display is out of visible range. Adding a right click option "Zoom to visible

scale" would be even nicer.

When rule bases class are submitted to min or max scale, only affected classes in current scale should greyed out.

Users opening a qgs project are sometimes lost because they don't see data listed in maplayer registry.. Some webclients already do that

too. Mapinfo show a pink marker when submitted to scale conditionnal rendering.

All the best

History

#1 - 2012-04-15 10:06 AM - Giovanni Manghi

- Target version changed from Version 1.8.0 to Version 2.0.0

#2 - 2012-10-06 02:25 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#3 - 2015-07-08 05:11 AM - Hugo Mercier

- Status changed from Open to Feedback

I think the "Filter legend by map content" achieves the same effect. However, for performance considerations, it is not automatically enabled and requires

an action from the user.

Is this issue still relevant ?

#4 - 2015-07-08 05:22 AM - Regis Haubourg

I must disagree here. Most GIS tools have such a feature (include webmapping ones), and that shouldn't be heavy computing. 

Some show a "eye symbol", some italic wrinting + tooltip. We still need it. 

Moreover, some use cases make symbols disappear (on expressions), and a user can't associate a missing legend with a zoom display threshold. 

Cheers

#5 - 2015-07-08 05:28 AM - Hugo Mercier

- Status changed from Feedback to Open

Thanks for the clarification.
Actually, I am wrong : the "filter legend by map content" is different from what is required here (scale-based visiblity of legend elements).

#6 - 2016-03-02 02:32 AM - Patrick Valsecchi

I'm working on that feature

#7 - 2016-03-07 12:54 AM - Regis Haubourg

Good to know, thanks!

#8 - 2016-03-14 07:19 PM - Nyall Dawson

- Status changed from Open to Closed

- Resolution set to fixed/implemented

#9 - 2016-10-05 02:45 AM - Regis Haubourg

- Priority changed from Low to Normal

Hi, 

not sur if I must open a new ticket. 

Currently only layer title is greyed out when canvas zoom level is out of visibility range. Could it be possible to grey out also legend subclasses?

Régis
